Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.controls
Class OrdMediaControl

`java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
oracle.ord.controls.OrdMediaControl`

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, oracle.jbo.uicli.jui.JUDefaultControlInterface, java.awt.MenuContainer, java.io.Serializable

public class OrdMediaControl
extends javax.swing.JPanel
implements java.awt.event.ActionListener, java.awt.event.FocusListener, oracle.jbo.uicli.jui.JUDefaultControlInterface

A JClient control that renders and stores image, audio, and video content stored in interMedia database types. The supported interMedia database types include: ORDSYS.ORDIMAGE, ORDSYS.ORDAUDIO, ORDSYS.ORDVIDEO, and ORDSYS.ORDDOC.

Since:
  JDev5.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static int` | `BUTTON_CHANGE`
`static int` | `BUTTON_CLEAR`
`static int` | `BUTTON_LAUNCH`
`static int` | `BUTTON_SAVE`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OrdMediaControl()` Constructs a OrdMediaControl.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addChangeListener(javax.swing.event.ChangeListener l)` Adds a ChangeListener to the ordMediaControl.
`void` | `addControllerListener(javax.media.ControllerListener l)` Adds a ControllerListener to the ordMediaControl.
`void` | `addFocusListener(java.awt.event.FocusAdapter f)`
`void` | `dataChanged(java.lang.Object dataItem)`
`void` | `doChange()` execute the change button action
`void` | `doClear()` execute the clear button action
`void` | `doLaunch()` execute the launch button action
`void` | `doPause()` Pauses the player
`void` | `doSave()` execute the save button action
`void` | `doStart()` Starts the player
`void` | `doStop()` Stops the player
`void` | `focusGained(java.awt.event.FocusEvent event)` This method is an implementaion side effect
`void` | `focusLost(java.awt.event.FocusEvent event)` This method is an implementaion side effect
`boolean` | `getAutoPlay()`
`javax.swing.JButton` | `getButton(int buttonId)`
`javax.swing.JComponent` | `getControlPanel()` gets the replacement control panel
`boolean` | `getEnableLaunchButton()`
`boolean` | `getEnableSaveButton()`
`boolean` | `getEnableUpdateButtons()`
`javax.swing.border.Border` | `getMediaBorder()` gets the border of the scrollpane containing the media panel
`oracle.jbo.uicli.jui.JUDefaultControlBinding` | `getModel()` Returns the bindName This method provides the hook into property editors/customizers
`boolean` | `getMute()` Is the gain muted ?
`javax.media.Player` | `getPlayer()`
`boolean` | `getShowButtons()`
`boolean` | `getShowControls()` Are the controls (play, rewind, forward, etc....) shown?
`int` | `getVolume()` gets the Volume level (a value between 0 and 100)
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)` Removes a ChangeListener from the ordMediaControl.
`void` | `removeControllerListener(javax.media.ControllerListener l)` Removes a ControllerListener from the ordMediaControl.
`void` | `setAutoPlay(boolean autoplay)`
`void` | `setControlPanel(javax.swing.JComponent controlPanel)` provide the replacement control panel
`void` | `setEnabled(boolean b)` An override of java.awt.Component.setEnabled.
`void` | `setEnableLaunchButton(boolean bEnableLaunchButton)`
`void` | `setEnableSaveButton(boolean bEnableSaveButton)`
`void` | `setEnableUpdateButtons(boolean bEnableUpdateButtons)`
`void` | `setMediaBorder(javax.swing.border.Border border)` sets the border of the scrollpane containing the media panel
`void` | `setModel(oracle.jbo.uicli.jui.JUDefaultControlBinding binding)` This method binds the control to the infobus and implements lazy loading, by using the DACRTManager, to lookup the RowSet and DataItemName
`void` | `setMute(boolean mute)` mutes/unmutes the gain
`void` | `setShowButtons(boolean bShowButtons)`
`void` | `setShowControls(boolean bShowControlPanel)` Are the controls (play, rewind, forward, etc....) shown?
`void` | `setVolume(int vol)` sets the Volume level (a value between 0 and 100)

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUTTON_CHANGE

    public static final int BUTTON_CHANGE

  See Also:
    Constant Field Values

### BUTTON_CLEAR

    public static final int BUTTON_CLEAR

  See Also:
    Constant Field Values

### BUTTON_LAUNCH

    public static final int BUTTON_LAUNCH

  See Also:
    Constant Field Values

### BUTTON_SAVE

    public static final int BUTTON_SAVE

  See Also:
    Constant Field Values

Constructor Detail

### OrdMediaControl

    public OrdMediaControl()

  Constructs a OrdMediaControl.

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

  Adds a ChangeListener to the ordMediaControl.
  Parameters:
    `l` - the ChangeListener to add
  See Also:
    `removeChangeListener(javax.swing.event.ChangeListener)`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

  Removes a ChangeListener from the ordMediaControl.
  Parameters:
    `l` - the ChangeListener to remove
  See Also:
    `addChangeListener(javax.swing.event.ChangeListener)`

### addControllerListener

    public void addControllerListener(javax.media.ControllerListener l)

  Adds a ControllerListener to the ordMediaControl.
  Parameters:
    `l` - the ControllerListener to add
  See Also:
    `removeControllerListener(javax.media.ControllerListener)`

### removeControllerListener

    public void removeControllerListener(javax.media.ControllerListener l)

  Removes a ControllerListener from the ordMediaControl.
  Parameters:
    `l` - the ControllerListener to remove
  See Also:
    `addControllerListener(javax.media.ControllerListener)`

### addFocusListener

    public void addFocusListener(java.awt.event.FocusAdapter f)

  Specified by:
    `addFocusListener` in interface `oracle.jbo.uicli.jui.JUDefaultControlInterface`

### focusLost

    public void focusLost(java.awt.event.FocusEvent event)

  This method is an implementaion side effect
  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent event)

  This method is an implementaion side effect
  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### setEnabled

    public void setEnabled(boolean b)

  An override of java.awt.Component.setEnabled.
  Parameters:
    `b` - boolean flag indicating whether the control is enabled

### setMediaBorder

    public void setMediaBorder(javax.swing.border.Border border)

  sets the border of the scrollpane containing the media panel
  Parameters:
    `border` - the required border

### getMediaBorder

    public javax.swing.border.Border getMediaBorder()

  gets the border of the scrollpane containing the media panel
  Returns:
    border the requested border

### getShowControls

    public boolean getShowControls()

  Are the controls (play, rewind, forward, etc....) shown?
  Returns:
    controls shown

### setShowControls

    public void setShowControls(boolean bShowControlPanel)

  Are the controls (play, rewind, forward, etc....) shown?

### doClear

    public void doClear()

  execute the clear button action

### doChange

    public void doChange()

  execute the change button action

### doLaunch

    public void doLaunch()

  execute the launch button action

### doSave

    public void doSave()

  execute the save button action

### doStart

    public void doStart()

  Starts the player

### doPause

    public void doPause()

  Pauses the player

### doStop

    public void doStop()

  Stops the player

### setMute

    public void setMute(boolean mute)

  mutes/unmutes the gain
  Parameters:
    `mute` - or not

### getMute

    public boolean getMute()

  Is the gain muted ?
  Returns:
    is muted ?

### setVolume

    public void setVolume(int vol)

  sets the Volume level (a value between 0 and 100)

### getVolume

    public int getVolume()

  gets the Volume level (a value between 0 and 100)
  Returns:
    volume level

### getControlPanel

    public javax.swing.JComponent getControlPanel()

  gets the replacement control panel
  Returns:
    the replacement control panel

### setControlPanel

    public void setControlPanel(javax.swing.JComponent controlPanel)

  provide the replacement control panel

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### dataChanged

    public void dataChanged(java.lang.Object dataItem)

  Specified by:
    `dataChanged` in interface `oracle.jbo.uicli.jui.JUDefaultControlInterface`

### getPlayer

    public javax.media.Player getPlayer()

### getButton

    public javax.swing.JButton getButton(int buttonId)

### getShowButtons

    public boolean getShowButtons()

### setShowButtons

    public void setShowButtons(boolean bShowButtons)

### setAutoPlay

    public void setAutoPlay(boolean autoplay)

### getAutoPlay

    public boolean getAutoPlay()

### getEnableUpdateButtons

    public boolean getEnableUpdateButtons()

### setEnableUpdateButtons

    public void setEnableUpdateButtons(boolean bEnableUpdateButtons)

### getEnableLaunchButton

    public boolean getEnableLaunchButton()

### setEnableLaunchButton

    public void setEnableLaunchButton(boolean bEnableLaunchButton)

### getEnableSaveButton

    public boolean getEnableSaveButton()

### setEnableSaveButton

    public void setEnableSaveButton(boolean bEnableSaveButton)

### setModel

    public void setModel(oracle.jbo.uicli.jui.JUDefaultControlBinding binding)

  This method binds the control to the infobus and implements lazy loading, by using the DACRTManager, to lookup the RowSet and DataItemName

### getModel

    public oracle.jbo.uicli.jui.JUDefaultControlBinding getModel()

  Returns the bindName This method provides the hook into property editors/customizers

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.